Module Module1

    Sub Main()
        Console.WriteLine("Press Enter key to try the slow way.")
        Console.ReadLine()
        Dim BigString As String = ""
        For i As Integer = 1 To 10000
            ' Enlarge BigString.
            BigString &= " This is string part " + i.ToString()
        Next

        Console.WriteLine("Done.")
        Console.WriteLine()

        Console.WriteLine("Press Enter to try the fast way.")
        Console.ReadLine()

        Dim BigStringBuilder As New System.Text.StringBuilder()
        For i As Integer = 1 To 10000
            ' Enlarge BigStringBuilder.
            BigStringBuilder.Append(" This is string part ")
            BigStringBuilder.Append(i.ToString())
        Next
        BigString = BigStringBuilder.ToString()
        Console.WriteLine("Done.")
        Console.WriteLine("Press any key to exit.")

        Console.ReadLine()
    End Sub

    
End Module
